Package org.pushingpixels.trident

# Enum Class TimelineScenario.TimelineScenarioState

java.lang.Object
java.lang.Enum<TimelineScenario.TimelineScenarioState>
org.pushingpixels.trident.TimelineScenario.TimelineScenarioState

All Implemented Interfaces:
  `Serializable`, `Comparable<TimelineScenario.TimelineScenarioState>`, `Constable`

Enclosing class:
  `TimelineScenario`

public static enum TimelineScenario.TimelineScenarioState extends Enum<TimelineScenario.TimelineScenarioState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DONE`
`IDLE`
`PLAYING`
`SUSPENDED`

## Method Summary

Modifier and Type
Method
Description
`static TimelineScenario.TimelineScenarioState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TimelineScenario.TimelineScenarioState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DONE

public static final TimelineScenario.TimelineScenarioState DONE

### PLAYING

public static final TimelineScenario.TimelineScenarioState PLAYING

### IDLE

public static final TimelineScenario.TimelineScenarioState IDLE

### SUSPENDED

public static final TimelineScenario.TimelineScenarioState SUSPENDED

## Method Details

### values

public static TimelineScenario.TimelineScenarioState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TimelineScenario.TimelineScenarioState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null